POST api/departmentItemapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
DepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_code | string |
None. |
|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| department_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"item_code": "sample string 1",
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"selected_sticker_id": "ce2de8ed-276e-47f7-915b-0ba43c99b958",
"selected_nameplate_id": "00b5caeb-a71c-49d2-adea-ef730b50b474",
"active": true,
"department_id": "d5e8b17d-04d8-4665-95ef-bb1378d5b477",
"id": "42cd7722-93a5-46f7-9875-f9701e7d4b67",
"physical_item_id": "f7c5baa8-41f9-4061-b8e4-a5660bc81545",
"service_item_id": "4c2c7766-7b56-4f7f-8b59-0c5644cb94b9",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<department_id>d5e8b17d-04d8-4665-95ef-bb1378d5b477</department_id>
<id>42cd7722-93a5-46f7-9875-f9701e7d4b67</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>f7c5baa8-41f9-4061-b8e4-a5660bc81545</physical_item_id>
<quantity>1</quantity>
<service_item_id>4c2c7766-7b56-4f7f-8b59-0c5644cb94b9</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>00b5caeb-a71c-49d2-adea-ef730b50b474</selected_nameplate_id>
<selected_sticker_id>ce2de8ed-276e-47f7-915b-0ba43c99b958</selected_sticker_id>
</department_item>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"71302371-e55f-4f7b-a7f0-d680db23a883"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">71302371-e55f-4f7b-a7f0-d680db23a883</guid>